# RaumplanerApp.py

from grafikfenster import *

from badewanne import Badewanne
from bett import Bett
from dusche import Dusche
from herd import Herd
from klosett import Klosett
from sessel import Sessel
from schrank import Schrank
from sofa import Sofa
from stuhl import Stuhl
from tisch import Tisch
from ovalerTisch import OvalerTisch

from raumplanerModell import RaumplanerModell

from gui import Gui ## neu

### ---------------------------------------------------
class RaumplanerApp(wx.App):
    def OnInit(self):
        self.gui = Gui(None,-1,"Raumplaner")
        self.SetTopWindow(self.gui)  ## neu
        self.fenster = GrafikFenster(self.gui, "Raumplaner-Grafik")  ## neu
        self.fenster.Show(True)
        self.gui.Show(True)
        ##self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        zf=Zeichenflaeche.GibZeichenflaeche()
        ##zf.SetBGImage('Bilder/beispielbild.png',0.8)
        ##zf.SetBGImage('Bilder/beispielbild_invertiert.png',0.8)
        ##zf.SetBGColor('BLACK')
        self.modell=RaumplanerModell.GibRaumplanerModell()
        self.gui.SetzeModell(self.modell)
        ##self.TestAnwendung()
        return True

##    def TestAnwendung(self):
##        global modell, schrank, sessel, stuhl, tisch
##        modell=self.modell
##        schrank=self.modell.Neu(Schrank,280, 40, 100, 60, 90, 'black', True)
##        stuhl=self.modell.Neu(Stuhl,10, 30, 40, 40, 270, 'blue', True)
##        tisch=self.modell.Neu(Tisch,60, 20, 120, 60, 0, 'red', True)
##        sessel=self.modell.Neu(Sessel, 100, 130, 60, 60, 0, 'orange', True)
##        sofa=self.modell.Neu(Sofa, 70, 290, 120, 60, 180, 'orange', True)
##        ovaler=self.modell.Neu(OvalerTisch, 70, 200, 120, 80, 0, 'brown', True)
##
##    def TestAuswahlUndDrehen(self,index=None):
##        '''bei None wird weiter gesetzt'''
##        self.modell.Waehle(index)
##        if self.modell.GibAusgewaehltes()==None: return
##        self.modell.Drehe(30)
##        
##    def TestAuswahlUndVerschieben(self,index=None):
##        '''bei None wird weiter gesetzt'''
##        self.modell.Waehle(index)
##        if self.modell.GibAusgewaehltes()==None: return
##        self.modell.BewegeHorizontal(-20)
##        self.modell.BewegeVertikal(10)
##        
##    def TestLaden(self):
##        modell=self.modell
##        modell.Lade('Daten/daten_1.dat')

### ---------------------------------------------------
if __name__ == '__main__':
    app = RaumplanerApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
